Skip to main content
Events

List event names

Returns the workspace event names (definitions) with their display name, description, archive state, total count, first and last seen time and first-seen metadata types. One page with all names (at most 200 active).

GET
/v2/event_definitions
Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

archivedenum<string>query

true: archived event names only. false: active only. Omitted: all.

Available options: true, false
Example: false
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

dataobject[]required

Array containing the actual response elements

nextCursorstring | nullrequired

Cursor to use for fetching the next page. Null if there are no more results.

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
objectenum<string>required

String representing the object type

Available options: list
Example: list